#!/bin/bash
#
# Copyright (C) 2011, Digium, Inc.
#
# Jason Parker <qwell@digium.com>
#
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2.  See the COPYING file
# at the top of the source tree.
#

ASTMOUNTDIR=/mnt/asterisk

if ! df | grep "${ASTMOUNTDIR}" >/dev/null; then
	echo "Asterisk DRBD device must exist and be mounted."
	exit 1
fi

if [ -f /var/lib/asterisk/astdb ]; then
	if [ ! -f ${ASTMOUNTDIR}/astdb ]; then
		echo "Moving /var/lib/asterisk/astdb to ${ASTMOUNTDIR}/astdb"
		mv /var/lib/asterisk/astdb ${ASTMOUNTDIR}/astdb
	else
		echo "Target and destination exist for /var/lib/asterisk/astdb.  Aborting."
		exit 1
	fi
else
	if [ ! -d /var/lib/asterisk/ ]; then
		mkdir -p /var/lib/asterisk/
	fi
fi
ln -sf ${ASTMOUNTDIR}/astdb /var/lib/asterisk/astdb

if [ -d /etc/asterisk/ -a ! -h /etc/asterisk ]; then
	if [ ! -d ${ASTMOUNTDIR}/etcasteriskdir/ ]; then
		echo "Moving /etc/asterisk/ to ${ASTMOUNTDIR}/etcasteriskdir/"
		mv /etc/asterisk ${ASTMOUNTDIR}/etcasteriskdir
	else
		echo "Target and destination exist for /etc/asterisk/.  Aborting."
		exit 1
	fi
fi
mkdir ${ASTMOUNTDIR}/etcasteriskdir
ln -snf ${ASTMOUNTDIR}/etcasteriskdir/ /etc/asterisk

if [ -d /var/log/asterisk/ -a ! -h /var/log/asterisk ]; then
	if [ ! -d ${ASTMOUNTDIR}/logdir/ ]; then
		echo "Moving /var/log/asterisk to ${ASTMOUNTDIR}/logdir/"
		mv /var/log/asterisk ${ASTMOUNTDIR}/logdir
	else
		echo "Target and destination exist for /var/log/asterisk/.  Aborting."
		exit 1
	fi
fi
mkdir ${ASTMOUNTDIR}/logdir
ln -snf ${ASTMOUNTDIR}/logdir/ /var/log/asterisk

if [ -d /var/spool/asterisk/ -a ! -h /var/spool/asterisk ]; then
	if [ ! -d ${ASTMOUNTDIR}/spooldir/ ]; then
		echo "Moving /var/spool/asterisk/ to ${ASTMOUNTDIR}/spooldir/"
		mv /var/spool/asterisk ${ASTMOUNTDIR}/spooldir
	else
		echo "Target and destination exist for /var/spool/asterisk/.  Aborting."
		exit 1
	fi
fi
mkdir ${ASTMOUNTDIR}/spooldir
ln -snf ${ASTMOUNTDIR}/spooldir/ /var/spool/asterisk
